## Synopsis
`ceylon info [--cacherep=<url>] [--cwd=<dir>] [--define=<key>=<value>...] [--dependency-depth=<depth>] [--maven-overrides=<url>] [--no-default-repositories] [--offline] [--rep=<url>...] [--show-dependencies] [--show-incompatible] [--show-type=<type>] [--show-versions] [--sysrep=<url>] [--verbose[=<flags>]] [--] <module...>`

## Description
When passed a search query like `*foo*` it will look at all the modules in all repositories and see if the word `foo` appears anywhere in the name, description, version, license or any other field in the module's desciptor and print their names. When passed a partial module name like `com.acme.foo*` it will look at all the modules in all the repositoriues and see if their names start with `com.acme.foo` and print their names. When passed a complete module name like `com.acme.foobar` it will print the list of available versions for that module. Versions marked with `*` are not currently available on the local system but can be downloaded on-demand from remote servers. When passed a complete module name and version like `com.acme.foobar/1.0` it will print information about the contents of a module archive, its description, its licence and its dependencies

## Options
`--cacherep=url` | Specifies the folder to use for caching downloaded modules. (default: `~/.ceylon/cache`)
`--cwd=dir` | Specifies the current working directory for this tool. (default: the directory where the tool is run from)
`--define=key>=<value`, `-D key>=<value` | Set a system property
`--dependency-depth=depth` | The depth of the dependency tree to show, or `all` for the full tree. (Allowed values: any positive integer or `all`, default: `1`)
`--maven-overrides=url` | Specifies the xml file to use to load Maven artifact overrides.
`--no-default-repositories` | Indicates that the default repositories should not be used.
`--offline` | Enables offline mode that will prevent connections to remote repositories.
`--rep=url` | Specifies a module repository containing dependencies. Can be specified multiple times. (default: `modules`, `~/.ceylon/repo`, http://modules.ceylon-lang.org/repo/1)
`--show-dependencies` | Show the dependencies whenever versions are shown
`--show-incompatible` | Also show versions incompatible with the current Ceylon installation
`--show-type=type` | The artifact ypes to show information for. Allowed values include: `all`, `jvm`, `js`, `src` (default is `all`).
`--show-versions` | Show the versions when searching for modules
`--sysrep=url` | Specifies the system repository containing essential modules. (default: `$CEYLON_HOME/repo`)
`--verbose[=flags]` | Produce verbose output. If no `flags` are given then be verbose about everything, otherwise just be verbose about the flags which are present. Allowed flags include: `all`, `loader`.